#version 430 core

in vec2 f_uv;

layout(location = 0) out vec4 o_color;

layout(location = 4) uniform sampler2D texture_diffuse;
layout(location = 7) uniform int instructions;

int RENDER_TEXTURE_ONLY = 0x0001;
int GLOWS = 0x0002;
int ENVIRONMENT_MAPPING = 0x0004;

void main()
{
	// Get material colors
	vec3 material_diffuse_color = texture(texture_diffuse, f_uv).rgb;

	o_color = vec4(material_diffuse_color, 1.0);
}