#version 430 core

layout(location = 1) in vec3 v_position;
layout(location = 2) in vec3 v_normal;
layout(location = 3) in vec2 v_uv;

out vec2 f_uv;

layout(location = 1) uniform mat4 u_M;
layout(location = 3) uniform mat4 u_VP;

void main()
{
	// Positions
	gl_Position = u_VP * u_M * vec4(v_position, 1.0);

	// Uvs
	f_uv = v_uv;
}